// api接口统一管理
import { get, post } from './http.js'


/**
 * 发送短信
 */
export const sendSMS = param => post('/api/auth/send-sms',param)


/**
 * 手机登录
 */
export const loginByPhone = param => post('/api/auth/login/phone',param)
/**
 * 邮箱登录
 */
export const loginByEmail = param => post('/api/auth/login/email',param)
/**
 * 微信登录
 */
export const loginByWx = param => post('/api/auth/login/wechat',param)
/**
 * 微信绑定手机号
 */
export const wxBindPhone = param => post('/api/auth/bindphone/wechat',param)

/**
 * 行业分类列表
 */
export const industryCategoryList = param => get('/api/sector/hierarchy',param)
/**
 * 股票分类列表
 */
export const stockCategoryList = param => get('/api/sector/banner',param)
/**
 * 筛选选项
 */
export const filterOptions = param => get('/api/filter/options',param)
/**
 * 事件列表
 */
export const eventList = param => get('/api/events',param)
/**
 * 首页热门事件、分类统计、相关企业数据
 */
export const homeData = param => get('/api/home',param)
/**
 * 事件相关标的
 */
export const eventRelatedStock = id => get('/api/event/'+id+'/related-stocks-detail')
/**
 * 个股详情
 */
export const stockDetails = (id,code) => get('/api/event/'+id+'/stock/'+code+'/detail')
/**
 * 股票K线数据
 */
export const stockCandlestickChartData = (code,param) => get('/api/stock/'+code+'/kline',param)
/**
 * 事件相关概念
 */
export const eventRelatedConcept = param => post('/concept-api/search',param)
/**
 * 事件历史事件
 */
export const eventHistoryEvent = id => get('/api/event/'+id+'/historical-events')
/**
 * 事件关联数据
 */
export const eventRelatedData = id => get('/api/event/'+id+'/related-data-list')
/**
 * 事件传导链
 */
export const eventTransmissionChain = id => get('/api/event/'+id+'/transmission-chain')
/**
 * 事件评论列表
 */
export const eventCommentList = id => get('/api/event/'+id+'/comments')
/**
 * 事件添加关注
 */
export const followEvent = id => post('/event/follow/'+id)
/**
 * 评论事件
 */
export const commentEvent = (id,param) => post('/post/create/'+id,param)
/**
 * 点赞事件评论
 */
export const likeEventComment = id => post('/post/like/'+id)
/**
 * 回复评论
 */
export const replyComment = (id,param) => post('/post/comment/'+id,param)
/**
 * 评论回复列表
 */
export const commentReplyList = id => post('/post/comments/'+id)

/**
 * 最新价格日期
 */
export const newestPriceDate = param => get('/concept-api/price/latest',param)
/**
 * 概念统计排行榜
 */
export const conceptRankList = param => get('/concept-api/statistics',param)
/**
 * 概念详情
 */
export const conceptDetails = (id,param) => get('/concept-api/concept/'+id,param)
/**
 * 概念价格时间序列
 */
export const priceTimeline = (id,param) => get('/concept-api/concept/'+id+'/price-timeseries',param)
/**
 * 概念新闻
 */
export const conceptNews = param => get('/news-api/search_china_news',param)
/**
 * 概念研报
 */
export const conceptReport = param => get('/report-api/search',param)

/**
 * 获取某一天的事件列表
 */
export const calendarEventList = param => get('/api/calendar/events',param)
/**
 * 获取某一天的数据列表
 */
export const calendarDataList = param => get('/api/calendar/data',param)
/**
 * 投资时间详情
 */
export const investEventDetails = (id,param) => get('/api/calendar/detail/'+id,param)
/**
 * 获取当前月的每一天的事件数量
 */
export const calendarEventCount = param => get('/api/calendar-event-counts',param)

/**
 * 用户信息
 */
export const userInfo = param => get('/api/user/profile',param)
/**
 * 会员状态
 */
export const membershipStatus = param => get('/api/membership/status',param)
/**
 * 编辑基本信息
 */
export const updateBasicInfo = param => post('/settings/profile',param)
/**
 * 编辑投资偏好
 */
export const updateInvestPreference = param => post('/settings/investment_preferences',param)
/**
 * 用户活动
 */
export const userActivityList = param => get('/api/user/activities',param)
/**
 * 意见反馈
 */
export const feedback = param => post('/api/user/feedback',param)
/**
 * 协议
 */
export const agreements = () => get('/api/agreements')
